IAC printPages() issue with PS Level 1

New Here ,
May 04, 2020

Copy link to clipboard

Copied

Hello,

we are forced to use an very old sofware that uses Adobe Interapplication Communication API (IAC) to printout pages from a PDF.

This software relies on Adobe Pro 5.0.

Now, upon upgrading Acrobat, I managed to find out that the API was changed slightly by Adobe. Since version 7, the call to "printPages" does not work anymore with "PSLevel" set to 1 - which I cannot change since we have no sourcecode.

Is anyone aware of this issue or has a workaround ?

Most Valuable Participant
Correct answer by Test Screen Name | Most Valuable Participant

I think I remember that Adobe dropped level 1 support, perhaps in 6 or 7.  So it won’t do what you want - the lack of API reflects a lack of function. 

TOPICS
Acrobat SDK and JavaScript

Views

78

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

IAC printPages() issue with PS Level 1

New Here ,
May 04, 2020

Copy link to clipboard

Copied

Hello,

we are forced to use an very old sofware that uses Adobe Interapplication Communication API (IAC) to printout pages from a PDF.

This software relies on Adobe Pro 5.0.

Now, upon upgrading Acrobat, I managed to find out that the API was changed slightly by Adobe. Since version 7, the call to "printPages" does not work anymore with "PSLevel" set to 1 - which I cannot change since we have no sourcecode.

Is anyone aware of this issue or has a workaround ?

Most Valuable Participant
Correct answer by Test Screen Name | Most Valuable Participant

I think I remember that Adobe dropped level 1 support, perhaps in 6 or 7.  So it won’t do what you want - the lack of API reflects a lack of function. 

TOPICS
Acrobat SDK and JavaScript

Views

79

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 04, 2020 0
Most Valuable Participant ,
May 04, 2020

Copy link to clipboard

Copied

I think I remember that Adobe dropped level 1 support, perhaps in 6 or 7.  So it won’t do what you want - the lack of API reflects a lack of function. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 04, 2020 0